Loading...
Searching...
No Matches
LineBreakProperties Struct Reference

Struct for entries of line break properties. More...

`#include <linebreakdef.h>`

## Data Fields

utf32_t | start
| Start codepoint.
utf32_t | end
| End codepoint, inclusive.
enum LineBreakClass | prop
| The line breaking property.

## Detailed Description

Struct for entries of line break properties.

The array of the entries must be sorted.

## Field Documentation

## end

utf32_t LineBreakProperties::end

End codepoint, inclusive.

## prop

enum LineBreakClass LineBreakProperties::prop

The line breaking property.

## start

utf32_t LineBreakProperties::start

Start codepoint.

The documentation for this struct was generated from the following file:

- linebreakdef.h